View Issue Details

IDProjectCategoryView StatusLast Update
0034863LazarusTAChartpublic2019-02-08 23:05
ReporterwpAssigned Towp 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version2.0.2Fixed in Version 
Summary0034863: Logarithmic bar series does not display values < 1
DescriptionWhen the y axis of a chart is transformed to logarithmic presentation then a bar series with values < 1 is not displayed correctly: bars are shown only for values >1, bars for values < 1 are dropped.
Steps To ReproduceRun attached demo. Notice that the bars at x=1 with y=0.01 and x=2 with y=0.1 are not displayed.
TagsNo tags attached.
Fixed in Revision60326, 60351
LazTarget2.0.2
Widgetset
Attached Files

Relationships

related to 0034819 closedwp Packages Series marks are sometimes invisible 

Activities

wp

2019-01-13 11:20

developer  

demo_34863.zip (2,814 bytes)

wp

2019-01-13 11:22

developer  

screenshot_34863.png (3,890 bytes)
screenshot_34863.png (3,890 bytes)

wp

2019-02-06 23:45

developer  

demo_extended.zip (5,283 bytes)

wp

2019-02-06 23:46

developer   ~0113911

Fixed in 60326 and 60351. Add extended demo to show that the solution is compatible with combined axis transformations (paned charts); add new property "UseZeroLevel" to TBarSeries to make it behave like TAreaSeries.

Issue History

Date Modified Username Field Change
2019-01-13 10:49 wp New Issue
2019-01-13 10:49 wp Status new => assigned
2019-01-13 10:49 wp Assigned To => wp
2019-01-13 10:52 wp Relationship added related to 0034819
2019-01-13 11:20 wp File Added: demo_34863.zip
2019-01-13 11:22 wp File Added: screenshot_34863.png
2019-01-13 11:23 wp Steps to Reproduce Updated View Revisions
2019-02-03 23:48 wp Fixed in Revision => 60326
2019-02-03 23:48 wp Status assigned => resolved
2019-02-03 23:48 wp Fixed in Version => 2.0.2
2019-02-03 23:48 wp Resolution open => fixed
2019-02-03 23:48 wp Target Version => 2.0.2
2019-02-04 23:36 wp Status resolved => assigned
2019-02-04 23:36 wp Resolution fixed => reopened
2019-02-04 23:36 wp Target Version 2.0.2 =>
2019-02-06 23:45 wp File Added: demo_extended.zip
2019-02-06 23:46 wp Fixed in Revision 60326 => 60326, 60351
2019-02-06 23:46 wp LazTarget - => 2.0.2
2019-02-06 23:46 wp Note Added: 0113911
2019-02-06 23:46 wp Status assigned => resolved
2019-02-06 23:46 wp Fixed in Version 2.0.2 =>
2019-02-06 23:46 wp Resolution reopened => fixed
2019-02-06 23:46 wp Target Version => 2.0.2
2019-02-08 23:05 wp Status resolved => closed